%global artifactId javax.servlet.jsp
%global jspspec 2.2

%{?scl:%scl_package glassfish-jsp}
%{!?scl:%global pkg_name %{name}}

Name:       %{?scl_prefix}glassfish-jsp
Version:    2.2.6
Release:    9%{?dist}
Summary:    Glassfish J2EE JSP API implementation

Group:      Development/Libraries
License:    (CDDL or GPLv2 with exceptions) and ASL 2.0
URL:        http://glassfish.org
Source0:    %{artifactId}-%{version}.tar.xz
# no source releases, but this will generate tarball for you from an
# SVN tag
Source1:    generate_tarball.sh
Source2:    http://www.apache.org/licenses/LICENSE-2.0.txt
Source3:    http://hub.opensolaris.org/bin/download/Main/licensing/cddllicense.txt

Patch0:     %{pkg_name}-build-eclipse-compilers.patch

BuildArch:  noarch

BuildRequires:  java
BuildRequires:  jpackage-utils
#BuildRequires:  maven-local
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven-release-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  %{?scl_prefix}glassfish-jsp-api
BuildRequires:  %{?scl_prefix}eclipse-jdt
BuildRequires:  mvn(javax.servlet:javax.servlet-api)
BuildRequires:  mvn(javax.el:javax.el-api)
BuildRequires:  mvn(javax.servlet.jsp:javax.servlet.jsp-api)

Requires:       jpackage-utils
Requires:       java
%{?scl:Requires: %scl_runtime}
#Requires:       mvn(javax.servlet:javax.servlet-api)
#Requires:       mvn(javax.el:javax.el-api)
#Requires:       mvn(javax.servlet.jsp:javax.servlet.jsp-api)

%description
This project provides a container independent implementation of JSP
2.2. The main goals are:
  * Improves current implementation: bug fixes and performance
    improvements
  * Provides API for use by other tools, such as Netbeans
  * Provides a sandbox for new JSP features; provides a reference
    implementation of next JSP spec.


%package javadoc
Summary:    API documentation for %{pkg_name}
Group:      Documentation
Requires:   jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n %{artifactId}-%{version}
%patch0
cp -p %{SOURCE2} LICENSE
cp -p %{SOURCE3} cddllicense.txt

%build
%{?scl:%scl_maven_opts}
mvn-rpmbuild install javadoc:javadoc


%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 target/%{artifactId}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{pkg_name}.jar


install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{pkg_name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{pkg_name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{pkg_name}.pom

%add_maven_depmap JPP-%{pkg_name}.pom %{pkg_name}.jar -a "javax.servlet:jsp-api,org.eclipse.jetty.orbit:org.apache.jasper.glassfish"

%files
%doc LICENSE cddllicense.txt
%{_javadir}/%{pkg_name}.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{pkg_name}.pom

%files javadoc
%doc LICENSE cddllicense.txt
%{_javadocdir}/%{pkg_name}


%changelog
* Mon Sep 22 2014 Sami Wagiaalla <swagiaal@redhat.com> 2.2.6-9
- Resolves: rhbz#1136981. Remove 'Provides' of base packages.

* Fri Mar 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.2.6-8
- Import into DTS 2.0. Sclize.

* Mon Mar  4 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.6-7
- Add depmap for org.eclipse.jetty.orbit
- Resolves: rhbz#917623

* Tue Feb 26 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.6-6
- Change scope of Eclipse JDT dependency from compile to provided
- Fix eclipse patch

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.2.6-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Sep  4 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.6-3
- Fix license tag
- Install license files

* Thu Aug 30 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.2.6-2
- Build Eclipse compiler adapters.

* Wed Aug 29 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.6-1
- Update to upstream version 2.2.6

* Mon Jul 23 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.5-1
- Update to upstream version 2.2.5

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 11 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2.3-2
- Add explicit BR/R on java and jpackage-utils
- Fix whitespace

* Wed Mar 21 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2.1-1
- Initial version of the package
